For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Return Order
      • GETGet Return Orders
      • GETGet Return Order
      • PUTModify Return Order
      • POSTCancel Return Order
      • GETGet One Return's status history
    • OpenAPI spec
LogoLogo
API ReferenceReturns

Create Return Order

||View as Markdown|
POST
/1.0/return
POST
/1.0/return
$curl -X POST https://api.shipbob.com/1.0/return \
> -H "shipbob_channel_id: shipbob_channel_id" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "fulfillmentCenter": {
> "id": 0,
> "name": "string"
> },
> "inventory": [
> {
> "id": 0,
> "lotDate": "2019-08-24T14:15:22Z",
> "lotNumber": "string",
> "quantity": 0,
> "requestedAction": 0
> }
> ],
> "originalShipmentId": 0,
> "referenceId": "string",
> "trackingNumber": "string"
>}'
1{}
Was this page helpful?
Previous

Cancel Warehouse Receiving Order (DEPRECATED)

Next

Get Return Orders

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringRequiredformat: "int32"
creationSourceIdintegerOptional

Request

This endpoint expects an object.
fulfillmentCenterobjectOptional
inventorylist of objects or nullOptional
originalShipmentIdinteger or nullOptional
referenceIdstring or nullOptional
trackingNumberstring or nullOptional

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error